Package com.orbbec.obsensor

## Enum DeviceProperty

- java.lang.Object
- - java.lang.Enum<DeviceProperty>
  - - com.orbbec.obsensor.DeviceProperty

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DeviceProperty>`

    public enum DeviceProperty
    extends java.lang.Enum<DeviceProperty>

Device Property

### Enum Constant Summary

Enum Constants
`OB_PROP_ANTI_COLLUSION_ACTIVATION_STATUS_BOOL` Anti_collusion activation status
`OB_PROP_BOOT_INTO_RECOVERY_MODE_BOOL` Enter recovery mode (flashing mode) when boot the device The device will take effect after rebooting with the enable option.
`OB_PROP_BRT_BOOL` BRT function switch (anti-background interference), false: Disable, true: Enable
`OB_PROP_CAPTURE_IMAGE_FRAME_NUMBER_INT` Number frame to capture once a 'OB_PROP_CAPTURE_IMAGE_SIGNAL_BOOL' effect.
`OB_PROP_CAPTURE_IMAGE_SIGNAL_BOOL` Signal to capture image
`OB_PROP_COLOR_AUTO_EXPOSURE_BOOL` Color camera auto exposure
`OB_PROP_COLOR_AUTO_EXPOSURE_PRIORITY_INT` Color camera auto exposure priority
`OB_PROP_COLOR_AUTO_WHITE_BALANCE_BOOL` Color camera automatic white balance
`OB_PROP_COLOR_BACKLIGHT_COMPENSATION_INT` Color camera brightness compensation
`OB_PROP_COLOR_BRIGHTNESS_INT` Color camera brightness adjustment
`OB_PROP_COLOR_CONTRAST_INT` Color camera contrast adjustment
`OB_PROP_COLOR_EXPOSURE_INT` Color camera exposure adjustment
`OB_PROP_COLOR_FLIP_BOOL` color flip
`OB_PROP_COLOR_GAIN_INT` Color camera gain adjustment
`OB_PROP_COLOR_GAMMA_INT` Color camera gamma adjustment
`OB_PROP_COLOR_HUE_INT` color camera color tint
`OB_PROP_COLOR_MAXIMAL_GAIN_INT` Color camera maximal gain
`OB_PROP_COLOR_MAXIMAL_SHUTTER_INT` Color camera shutter gain
`OB_PROP_COLOR_MIRROR_BOOL` color mirror
`OB_PROP_COLOR_POWER_LINE_FREQUENCY_INT` Color camera power line frequency
`OB_PROP_COLOR_ROLL_INT` Color camera image rotation
`OB_PROP_COLOR_ROTATE_INT` Color sensor rotation, angle{0, 90, 180, 270}
`OB_PROP_COLOR_SATURATION_INT` Color camera saturation adjustment
`OB_PROP_COLOR_SHARPNESS_INT` Color camera sharpness adjustment
`OB_PROP_COLOR_WHITE_BALANCE_INT` Color camera white balance adjustment
`OB_PROP_D2C_PREPROCESS_BOOL` D2C preprocessing switch (such as RGB cropping), false: off, true: on
`OB_PROP_DC_POWER_STATE_INT` DC's power state, enum type: OBDCPowerState
`OB_PROP_DEPTH_ALIGN_HARDWARE_BOOL` Hardware d2c is on
`OB_PROP_DEPTH_ALIGN_HARDWARE_MODE_INT` Multi-resolution D2C mode
`OB_PROP_DEPTH_AUTO_EXPOSURE_BOOL` Automatic exposure of depth camera (infrared camera will be set synchronously under some models of devices)
`OB_PROP_DEPTH_CROPPING_MODE_INT` Depth cropping mode device: OB_DEPTH_CROPPING_MODE_EM (currently only suitable for Longquan Sword)
`OB_PROP_DEPTH_EXPOSURE_INT` Depth camera exposure adjustment (infrared cameras will be set synchronously under some models of devices)
`OB_PROP_DEPTH_FLIP_BOOL` depth flip
`OB_PROP_DEPTH_GAIN_INT` Depth camera gain adjustment (infrared cameras will be set synchronously under some models of devices)
`OB_PROP_DEPTH_HOLEFILTER_BOOL` depth hole filter
`OB_PROP_DEPTH_MAX_DIFF_INT` soft filter maxdiff param
`OB_PROP_DEPTH_MAX_SPECKLE_SIZE_INT` soft filter maxSpeckleSize
`OB_PROP_DEPTH_MIRROR_BOOL` depth mirror
`OB_PROP_DEPTH_POSTFILTER_BOOL` depth post filter
`OB_PROP_DEPTH_PRECISION_LEVEL_INT` The depth precision level may change the depth frame data unit.
`OB_PROP_DEPTH_RM_FILTER_BOOL` Depth effect dedistortion, true: on, false: off.
`OB_PROP_DEPTH_ROTATE_INT` Depth sensor rotation, angle{0, 90, 180, 270}
`OB_PROP_DEPTH_SOFT_FILTER_BOOL` Software filter switch
`OB_PROP_DEVICE_COMMUNICATION_TYPE_INT` Device communication type, 0: USB; 1: Ethernet(RTSP)
`OB_PROP_DEVICE_DEVELOPMENT_MODE_INT` Device development mode switch, optional modes can refer to the definition in @ref OBDeviceDevelopmentMode,the default mode is OB_USER_MODE The device takes effect after rebooting when switching modes.
`OB_PROP_DEVICE_IN_RECOVERY_MODE_BOOL` Query whether the current device is running in recovery mode (read-only)
`OB_PROP_DEVICE_REBOOT_DELAY_INT` Reboot device delay mode.
`OB_PROP_DEVICE_WORK_MODE_INT` Device operating mode (power consumption)
`OB_PROP_DISPARITY_TO_DEPTH_BOOL` Hardware parallax to depth switch, 0: Turn off the hardware parallax to depth switch, turn on the software parallax to depth switch 1.Turn on the hardware parallax to depth switch, turn off the software parallax to depth switch
`OB_PROP_EXTERNAL_SIGNAL_RESET_BOOL` External signal triggers restart function switch, false: Disable, true: Enable
`OB_PROP_FAN_WORK_MODE_INT` Fan switch mode
`OB_PROP_FLOOD_BOOL` IR flood switch
`OB_PROP_FLOOD_LEVEL_INT` IR flood level
`OB_PROP_HARDWARE_DISTORTION_SWITCH_BOOL` Hardware de-distortion switch Rectify
`OB_PROP_HEARTBEAT_BOOL` Heartbeat monitoring function switch, false: Disable, true: Enable
`OB_PROP_INDICATOR_LIGHT_BOOL` indicator light switch false:Disable, true:Enable
`OB_PROP_IR_AUTO_EXPOSURE_BOOL` Infrared camera auto exposure (depth camera will be set synchronously under some models of devices)
`OB_PROP_IR_CHANNEL_DATA_SOURCE_INT` Select Infrared camera data source channel.
`OB_PROP_IR_EXPOSURE_INT` Infrared camera exposure adjustment (some models of devices will set the depth camera synchronously)
`OB_PROP_IR_FLIP_BOOL` IR flip
`OB_PROP_IR_GAIN_INT` Infrared camera gain adjustment (the depth camera will be set synchronously under some models of devices)
`OB_PROP_IR_MIRROR_BOOL` IR mirror
`OB_PROP_IR_RIGHT_FLIP_BOOL` Right IR sensor flip state.
`OB_PROP_IR_RIGHT_MIRROR_BOOL` Right IR sensor mirror state
`OB_PROP_IR_RIGHT_ROTATE_INT` Right IR sensor rotation, angle{0, 90, 180, 270}
`OB_PROP_IR_ROTATE_INT` IR/Left-IR sensor rotation, angle{0, 90, 180, 270}
`OB_PROP_LASER_BOOL` laser switch
`OB_PROP_LASER_CURRENT_FLOAT` Laser current (unit: mA)
`OB_PROP_LASER_ENERGY_LEVEL_INT` Laser energy level
`OB_PROP_LASER_HW_ENERGY_LEVEL_INT` Get hardware laser energy level which real state of laser element.
`OB_PROP_LASER_MODE_INT` mx6600 laser lighting mode, the firmware only returns 1: IR Drive, 2: Torch at present
`OB_PROP_LASER_PULSE_WIDTH_INT` laser pulse width
`OB_PROP_LDP_BOOL` LDP switch
`OB_PROP_LDP_MEASURE_DISTANCE_INT` LDP's measure distance, unit: mm
`OB_PROP_LDP_STATUS_BOOL` LDP status
`OB_PROP_MAX_DEPTH_INT` maximum depth threshold
`OB_PROP_MIN_DEPTH_INT` minimum depth threshold
`OB_PROP_RECTIFY2_BOOL` mx6600 brt2r-rectify function switch (brt2r is a special module on mx6600), false: Disable, true: Rectify Enable
`OB_PROP_RESTORE_FACTORY_SETTINGS_BOOL` Restore factory settings and factory parameters This command can only be written, and the parameter value must be true.
`OB_PROP_RGB_CUSTOM_CROP_BOOL` custom RGB cropping switch, 0 is off, 1 is on custom cropping, and the ROI cropping area is issued
`OB_PROP_SDK_ACCEL_FRAME_TRANSFORMED_BOOL` Accel data conversion function switch (on by default)
`OB_PROP_SDK_DEPTH_FRAME_UNPACK_BOOL` Depth data unpacking function switch (each open stream will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)
`OB_PROP_SDK_GYRO_FRAME_TRANSFORMED_BOOL` Gyro data conversion function switch (on by default)
`OB_PROP_SDK_IR_FRAME_UNPACK_BOOL` IR data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)
`OB_PROP_SDK_IR_LEFT_FRAME_UNPACK_BOOL` Left IR frame data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)
`OB_PROP_SDK_IR_RIGHT_FRAME_UNPACK_BOOL` Right IR frame data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)
`OB_PROP_SWITCH_IR_MODE_INT` Switch IR mode, 0: IR active mode, 1: IR passive mode
`OB_PROP_SYNC_SIGNAL_TRIGGER_OUT_BOOL` Multi-DeviceSync synchronized signal trigger out is enable state.
`OB_PROP_TIMER_RESET_DELAY_US_INT` Delay to reset device time, unit: us
`OB_PROP_TIMER_RESET_SIGNAL_BOOL` Reset device time to zero
`OB_PROP_TIMER_RESET_TRIGGLE_OUT_ENABLE_BOOL` Enable send reset device time signal to other device.
`OB_PROP_TIMESTAMP_OFFSET_INT` time stamp adjustment
`OB_PROP_TOF_FILTER_RANGE_INT` tof filter scene range configuration
`OB_PROP_USB_POWER_STATE_INT` USB's power state, enum type: OBUSBPowerState
`OB_PROP_WATCHDOG_BOOL` Watchdog function switch, false: Disable, true: Enable
`OB_RAW_DATA_CAMERA_CALIB_JSON_FILE` Calibration JSON file read from device (Femto Mega, read only)
`OB_STRUCT_BASELINE_CALIBRATION_PARAM` Baseline calibration parameters
`OB_STRUCT_CURRENT_DEPTH_ALG_MODE` The current camera depth mode
`OB_STRUCT_DEPTH_PRECISION_SUPPORT_LIST` A list of depth accuracy levels, returning an array of uin16_t, corresponding to the enumeration definitions of the accuracy classes
`OB_STRUCT_DEVICE_IP_ADDR_CONFIG` Device IP address configuration
`OB_STRUCT_DEVICE_SERIAL_NUMBER` get serial number
`OB_STRUCT_DEVICE_TEMPERATURE` Device temperature
`OB_STRUCT_DEVICE_TIME` get/set device time
`OB_STRUCT_MULTI_DEVICE_SYNC_CONFIG` Multi-device synchronization mode and parameter configuration
`OB_STRUCT_RGB_CROP_ROI` RGB cropping ROI
`OB_STRUCT_TOF_EXPOSURE_THRESHOLD_CONTROL` TOF exposure threshold range

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DeviceProperty` `get​(int value)` Get the device properties corresponding to the specified index
`int` `value()` Get the index corresponding to the device property
`static DeviceProperty` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeviceProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_PROP_LDP_BOOL

    public static final DeviceProperty OB_PROP_LDP_BOOL

LDP switch

#### OB_PROP_LASER_BOOL

    public static final DeviceProperty OB_PROP_LASER_BOOL

laser switch

#### OB_PROP_LASER_PULSE_WIDTH_INT

    public static final DeviceProperty OB_PROP_LASER_PULSE_WIDTH_INT

laser pulse width

#### OB_PROP_LASER_CURRENT_FLOAT

    public static final DeviceProperty OB_PROP_LASER_CURRENT_FLOAT

Laser current (unit: mA)

#### OB_PROP_FLOOD_BOOL

    public static final DeviceProperty OB_PROP_FLOOD_BOOL

IR flood switch

#### OB_PROP_FLOOD_LEVEL_INT

    public static final DeviceProperty OB_PROP_FLOOD_LEVEL_INT

IR flood level

#### OB_PROP_DEPTH_MIRROR_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_MIRROR_BOOL

depth mirror

#### OB_PROP_DEPTH_FLIP_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_FLIP_BOOL

depth flip

#### OB_PROP_DEPTH_POSTFILTER_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_POSTFILTER_BOOL

depth post filter

#### OB_PROP_DEPTH_HOLEFILTER_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_HOLEFILTER_BOOL

depth hole filter

#### OB_PROP_IR_MIRROR_BOOL

    public static final DeviceProperty OB_PROP_IR_MIRROR_BOOL

IR mirror

#### OB_PROP_IR_FLIP_BOOL

    public static final DeviceProperty OB_PROP_IR_FLIP_BOOL

IR flip

#### OB_PROP_MIN_DEPTH_INT

    public static final DeviceProperty OB_PROP_MIN_DEPTH_INT

minimum depth threshold

#### OB_PROP_MAX_DEPTH_INT

    public static final DeviceProperty OB_PROP_MAX_DEPTH_INT

maximum depth threshold

#### OB_PROP_DEPTH_SOFT_FILTER_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_SOFT_FILTER_BOOL

Software filter switch

#### OB_PROP_LDP_STATUS_BOOL

    public static final DeviceProperty OB_PROP_LDP_STATUS_BOOL

LDP status

#### OB_PROP_DEPTH_MAX_DIFF_INT

    public static final DeviceProperty OB_PROP_DEPTH_MAX_DIFF_INT

soft filter maxdiff param

#### OB_PROP_DEPTH_MAX_SPECKLE_SIZE_INT

    public static final DeviceProperty OB_PROP_DEPTH_MAX_SPECKLE_SIZE_INT

soft filter maxSpeckleSize

#### OB_PROP_DEPTH_ALIGN_HARDWARE_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_ALIGN_HARDWARE_BOOL

Hardware d2c is on

#### OB_PROP_TIMESTAMP_OFFSET_INT

    public static final DeviceProperty OB_PROP_TIMESTAMP_OFFSET_INT

time stamp adjustment

#### OB_PROP_HARDWARE_DISTORTION_SWITCH_BOOL

    public static final DeviceProperty OB_PROP_HARDWARE_DISTORTION_SWITCH_BOOL

Hardware de-distortion switch Rectify

#### OB_PROP_FAN_WORK_MODE_INT

    public static final DeviceProperty OB_PROP_FAN_WORK_MODE_INT

Fan switch mode

#### OB_PROP_DEPTH_ALIGN_HARDWARE_MODE_INT

    public static final DeviceProperty OB_PROP_DEPTH_ALIGN_HARDWARE_MODE_INT

Multi-resolution D2C mode

#### OB_PROP_ANTI_COLLUSION_ACTIVATION_STATUS_BOOL

    public static final DeviceProperty OB_PROP_ANTI_COLLUSION_ACTIVATION_STATUS_BOOL

Anti_collusion activation status

#### OB_PROP_DEPTH_PRECISION_LEVEL_INT

    public static final DeviceProperty OB_PROP_DEPTH_PRECISION_LEVEL_INT

The depth precision level may change the depth frame data unit. You need to confirm the setting parameters through the ValueScale interface of DepthFrame. Set parameter reference `DepthPrecisionLevel.value()` The obtained value can be converted through `DepthPrecisionLevel.get(int)`

#### OB_PROP_TOF_FILTER_RANGE_INT

    public static final DeviceProperty OB_PROP_TOF_FILTER_RANGE_INT

tof filter scene range configuration

#### OB_PROP_LASER_MODE_INT

    public static final DeviceProperty OB_PROP_LASER_MODE_INT

mx6600 laser lighting mode, the firmware only returns 1: IR Drive, 2: Torch at present

#### OB_PROP_RECTIFY2_BOOL

    public static final DeviceProperty OB_PROP_RECTIFY2_BOOL

mx6600 brt2r-rectify function switch (brt2r is a special module on mx6600), false: Disable, true: Rectify Enable

#### OB_PROP_COLOR_MIRROR_BOOL

    public static final DeviceProperty OB_PROP_COLOR_MIRROR_BOOL

color mirror

#### OB_PROP_COLOR_FLIP_BOOL

    public static final DeviceProperty OB_PROP_COLOR_FLIP_BOOL

color flip

#### OB_PROP_INDICATOR_LIGHT_BOOL

    public static final DeviceProperty OB_PROP_INDICATOR_LIGHT_BOOL

indicator light switch false:Disable, true:Enable

#### OB_PROP_DISPARITY_TO_DEPTH_BOOL

    public static final DeviceProperty OB_PROP_DISPARITY_TO_DEPTH_BOOL

Hardware parallax to depth switch, 0: Turn off the hardware parallax to depth switch, turn on the software parallax to depth switch 1.Turn on the hardware parallax to depth switch, turn off the software parallax to depth switch

#### OB_PROP_BRT_BOOL

    public static final DeviceProperty OB_PROP_BRT_BOOL

BRT function switch (anti-background interference), false: Disable, true: Enable

#### OB_PROP_WATCHDOG_BOOL

    public static final DeviceProperty OB_PROP_WATCHDOG_BOOL

Watchdog function switch, false: Disable, true: Enable

#### OB_PROP_EXTERNAL_SIGNAL_RESET_BOOL

    public static final DeviceProperty OB_PROP_EXTERNAL_SIGNAL_RESET_BOOL

External signal triggers restart function switch, false: Disable, true: Enable

#### OB_PROP_HEARTBEAT_BOOL

    public static final DeviceProperty OB_PROP_HEARTBEAT_BOOL

Heartbeat monitoring function switch, false: Disable, true: Enable

#### OB_PROP_DEPTH_CROPPING_MODE_INT

    public static final DeviceProperty OB_PROP_DEPTH_CROPPING_MODE_INT

Depth cropping mode device: OB_DEPTH_CROPPING_MODE_EM (currently only suitable for Longquan Sword)

#### OB_PROP_D2C_PREPROCESS_BOOL

    public static final DeviceProperty OB_PROP_D2C_PREPROCESS_BOOL

D2C preprocessing switch (such as RGB cropping), false: off, true: on

#### OB_PROP_RGB_CUSTOM_CROP_BOOL

    public static final DeviceProperty OB_PROP_RGB_CUSTOM_CROP_BOOL

custom RGB cropping switch, 0 is off, 1 is on custom cropping, and the ROI cropping area is issued

#### OB_PROP_DEVICE_WORK_MODE_INT

    public static final DeviceProperty OB_PROP_DEVICE_WORK_MODE_INT

Device operating mode (power consumption)

#### OB_PROP_DEVICE_COMMUNICATION_TYPE_INT

    public static final DeviceProperty OB_PROP_DEVICE_COMMUNICATION_TYPE_INT

Device communication type, 0: USB; 1: Ethernet(RTSP)

#### OB_PROP_SWITCH_IR_MODE_INT

    public static final DeviceProperty OB_PROP_SWITCH_IR_MODE_INT

Switch IR mode, 0: IR active mode, 1: IR passive mode

#### OB_PROP_LASER_ENERGY_LEVEL_INT

    public static final DeviceProperty OB_PROP_LASER_ENERGY_LEVEL_INT

Laser energy level

#### OB_PROP_LDP_MEASURE_DISTANCE_INT

    public static final DeviceProperty OB_PROP_LDP_MEASURE_DISTANCE_INT

LDP's measure distance, unit: mm

#### OB_PROP_TIMER_RESET_SIGNAL_BOOL

    public static final DeviceProperty OB_PROP_TIMER_RESET_SIGNAL_BOOL

Reset device time to zero

#### OB_PROP_TIMER_RESET_TRIGGLE_OUT_ENABLE_BOOL

    public static final DeviceProperty OB_PROP_TIMER_RESET_TRIGGLE_OUT_ENABLE_BOOL

Enable send reset device time signal to other device. true: enable, false: disable

#### OB_PROP_TIMER_RESET_DELAY_US_INT

    public static final DeviceProperty OB_PROP_TIMER_RESET_DELAY_US_INT

Delay to reset device time, unit: us

#### OB_PROP_CAPTURE_IMAGE_SIGNAL_BOOL

    public static final DeviceProperty OB_PROP_CAPTURE_IMAGE_SIGNAL_BOOL

Signal to capture image

#### OB_PROP_IR_RIGHT_MIRROR_BOOL

    public static final DeviceProperty OB_PROP_IR_RIGHT_MIRROR_BOOL

Right IR sensor mirror state

#### OB_PROP_CAPTURE_IMAGE_FRAME_NUMBER_INT

    public static final DeviceProperty OB_PROP_CAPTURE_IMAGE_FRAME_NUMBER_INT

Number frame to capture once a 'OB_PROP_CAPTURE_IMAGE_SIGNAL_BOOL' effect. range: [1, 255]

#### OB_PROP_IR_RIGHT_FLIP_BOOL

    public static final DeviceProperty OB_PROP_IR_RIGHT_FLIP_BOOL

Right IR sensor flip state. true: flip image, false: origin, default: false

#### OB_PROP_COLOR_ROTATE_INT

    public static final DeviceProperty OB_PROP_COLOR_ROTATE_INT

Color sensor rotation, angle{0, 90, 180, 270}

#### OB_PROP_IR_ROTATE_INT

    public static final DeviceProperty OB_PROP_IR_ROTATE_INT

IR/Left-IR sensor rotation, angle{0, 90, 180, 270}

#### OB_PROP_IR_RIGHT_ROTATE_INT

    public static final DeviceProperty OB_PROP_IR_RIGHT_ROTATE_INT

Right IR sensor rotation, angle{0, 90, 180, 270}

#### OB_PROP_DEPTH_ROTATE_INT

    public static final DeviceProperty OB_PROP_DEPTH_ROTATE_INT

Depth sensor rotation, angle{0, 90, 180, 270}

#### OB_PROP_LASER_HW_ENERGY_LEVEL_INT

    public static final DeviceProperty OB_PROP_LASER_HW_ENERGY_LEVEL_INT

Get hardware laser energy level which real state of laser element. OB_PROP_LASER_ENERGY_LEVEL_INT(99)will effect this command which it setting and changed the hardware laser energy level.

#### OB_PROP_USB_POWER_STATE_INT

    public static final DeviceProperty OB_PROP_USB_POWER_STATE_INT

USB's power state, enum type: OBUSBPowerState

#### OB_PROP_DC_POWER_STATE_INT

    public static final DeviceProperty OB_PROP_DC_POWER_STATE_INT

DC's power state, enum type: OBDCPowerState

#### OB_PROP_DEVICE_DEVELOPMENT_MODE_INT

    public static final DeviceProperty OB_PROP_DEVICE_DEVELOPMENT_MODE_INT

Device development mode switch, optional modes can refer to the definition in @ref OBDeviceDevelopmentMode,the default mode is OB_USER_MODE The device takes effect after rebooting when switching modes.

#### OB_PROP_SYNC_SIGNAL_TRIGGER_OUT_BOOL

    public static final DeviceProperty OB_PROP_SYNC_SIGNAL_TRIGGER_OUT_BOOL

Multi-DeviceSync synchronized signal trigger out is enable state. true: enable, false: disable

#### OB_PROP_RESTORE_FACTORY_SETTINGS_BOOL

    public static final DeviceProperty OB_PROP_RESTORE_FACTORY_SETTINGS_BOOL

Restore factory settings and factory parameters This command can only be written, and the parameter value must be true. The command takes effect after restarting the device.

#### OB_PROP_BOOT_INTO_RECOVERY_MODE_BOOL

    public static final DeviceProperty OB_PROP_BOOT_INTO_RECOVERY_MODE_BOOL

Enter recovery mode (flashing mode) when boot the device The device will take effect after rebooting with the enable option. After entering recovery mode, you can upgrade the device system. Upgrading the system may cause system damage, please use it with caution.

#### OB_PROP_DEVICE_IN_RECOVERY_MODE_BOOL

    public static final DeviceProperty OB_PROP_DEVICE_IN_RECOVERY_MODE_BOOL

Query whether the current device is running in recovery mode (read-only)

#### OB_PROP_DEVICE_REBOOT_DELAY_INT

    public static final DeviceProperty OB_PROP_DEVICE_REBOOT_DELAY_INT

Reboot device delay mode. Data type: uint32_t, Delay time unit: ms, range: [0, 8000).

#### OB_STRUCT_BASELINE_CALIBRATION_PARAM

    public static final DeviceProperty OB_STRUCT_BASELINE_CALIBRATION_PARAM

Baseline calibration parameters

#### OB_STRUCT_DEVICE_TEMPERATURE

    public static final DeviceProperty OB_STRUCT_DEVICE_TEMPERATURE

Device temperature

#### OB_STRUCT_TOF_EXPOSURE_THRESHOLD_CONTROL

    public static final DeviceProperty OB_STRUCT_TOF_EXPOSURE_THRESHOLD_CONTROL

TOF exposure threshold range

#### OB_STRUCT_DEVICE_SERIAL_NUMBER

    public static final DeviceProperty OB_STRUCT_DEVICE_SERIAL_NUMBER

get serial number

#### OB_STRUCT_DEVICE_TIME

    public static final DeviceProperty OB_STRUCT_DEVICE_TIME

get/set device time

#### OB_STRUCT_MULTI_DEVICE_SYNC_CONFIG

    public static final DeviceProperty OB_STRUCT_MULTI_DEVICE_SYNC_CONFIG

Multi-device synchronization mode and parameter configuration

#### OB_STRUCT_RGB_CROP_ROI

    public static final DeviceProperty OB_STRUCT_RGB_CROP_ROI

RGB cropping ROI

#### OB_STRUCT_DEVICE_IP_ADDR_CONFIG

    public static final DeviceProperty OB_STRUCT_DEVICE_IP_ADDR_CONFIG

Device IP address configuration

#### OB_STRUCT_CURRENT_DEPTH_ALG_MODE

    public static final DeviceProperty OB_STRUCT_CURRENT_DEPTH_ALG_MODE

The current camera depth mode

#### OB_STRUCT_DEPTH_PRECISION_SUPPORT_LIST

    public static final DeviceProperty OB_STRUCT_DEPTH_PRECISION_SUPPORT_LIST

A list of depth accuracy levels, returning an array of uin16_t, corresponding to the enumeration definitions of the accuracy classes

#### OB_PROP_COLOR_AUTO_EXPOSURE_BOOL

    public static final DeviceProperty OB_PROP_COLOR_AUTO_EXPOSURE_BOOL

Color camera auto exposure

#### OB_PROP_COLOR_EXPOSURE_INT

    public static final DeviceProperty OB_PROP_COLOR_EXPOSURE_INT

Color camera exposure adjustment

#### OB_PROP_COLOR_GAIN_INT

    public static final DeviceProperty OB_PROP_COLOR_GAIN_INT

Color camera gain adjustment

#### OB_PROP_COLOR_AUTO_WHITE_BALANCE_BOOL

    public static final DeviceProperty OB_PROP_COLOR_AUTO_WHITE_BALANCE_BOOL

Color camera automatic white balance

#### OB_PROP_COLOR_WHITE_BALANCE_INT

    public static final DeviceProperty OB_PROP_COLOR_WHITE_BALANCE_INT

Color camera white balance adjustment

#### OB_PROP_COLOR_BRIGHTNESS_INT

    public static final DeviceProperty OB_PROP_COLOR_BRIGHTNESS_INT

Color camera brightness adjustment

#### OB_PROP_COLOR_SHARPNESS_INT

    public static final DeviceProperty OB_PROP_COLOR_SHARPNESS_INT

Color camera sharpness adjustment

#### OB_PROP_COLOR_SATURATION_INT

    public static final DeviceProperty OB_PROP_COLOR_SATURATION_INT

Color camera saturation adjustment

#### OB_PROP_COLOR_CONTRAST_INT

    public static final DeviceProperty OB_PROP_COLOR_CONTRAST_INT

Color camera contrast adjustment

#### OB_PROP_COLOR_GAMMA_INT

    public static final DeviceProperty OB_PROP_COLOR_GAMMA_INT

Color camera gamma adjustment

#### OB_PROP_COLOR_ROLL_INT

    public static final DeviceProperty OB_PROP_COLOR_ROLL_INT

Color camera image rotation

#### OB_PROP_COLOR_AUTO_EXPOSURE_PRIORITY_INT

    public static final DeviceProperty OB_PROP_COLOR_AUTO_EXPOSURE_PRIORITY_INT

Color camera auto exposure priority

#### OB_PROP_COLOR_BACKLIGHT_COMPENSATION_INT

    public static final DeviceProperty OB_PROP_COLOR_BACKLIGHT_COMPENSATION_INT

Color camera brightness compensation

#### OB_PROP_COLOR_HUE_INT

    public static final DeviceProperty OB_PROP_COLOR_HUE_INT

color camera color tint

#### OB_PROP_COLOR_POWER_LINE_FREQUENCY_INT

    public static final DeviceProperty OB_PROP_COLOR_POWER_LINE_FREQUENCY_INT

Color camera power line frequency

#### OB_PROP_DEPTH_AUTO_EXPOSURE_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_AUTO_EXPOSURE_BOOL

Automatic exposure of depth camera (infrared camera will be set synchronously under some models of devices)

#### OB_PROP_DEPTH_EXPOSURE_INT

    public static final DeviceProperty OB_PROP_DEPTH_EXPOSURE_INT

Depth camera exposure adjustment (infrared cameras will be set synchronously under some models of devices)

#### OB_PROP_DEPTH_GAIN_INT

    public static final DeviceProperty OB_PROP_DEPTH_GAIN_INT

Depth camera gain adjustment (infrared cameras will be set synchronously under some models of devices)

#### OB_PROP_IR_AUTO_EXPOSURE_BOOL

    public static final DeviceProperty OB_PROP_IR_AUTO_EXPOSURE_BOOL

Infrared camera auto exposure (depth camera will be set synchronously under some models of devices)

#### OB_PROP_IR_EXPOSURE_INT

    public static final DeviceProperty OB_PROP_IR_EXPOSURE_INT

Infrared camera exposure adjustment (some models of devices will set the depth camera synchronously)

#### OB_PROP_IR_GAIN_INT

    public static final DeviceProperty OB_PROP_IR_GAIN_INT

Infrared camera gain adjustment (the depth camera will be set synchronously under some models of devices)

#### OB_PROP_IR_CHANNEL_DATA_SOURCE_INT

    public static final DeviceProperty OB_PROP_IR_CHANNEL_DATA_SOURCE_INT

Select Infrared camera data source channel. If not support throw exception. 0 : IR stream from IR Left sensor; 1 : IR stream from IR Right sensor;

#### OB_PROP_DEPTH_RM_FILTER_BOOL

    public static final DeviceProperty OB_PROP_DEPTH_RM_FILTER_BOOL

Depth effect dedistortion, true: on, false: off. mutually exclusive with D2C function, RM_Filter disable When hardware or software D2C is enabled.

#### OB_PROP_COLOR_MAXIMAL_GAIN_INT

    public static final DeviceProperty OB_PROP_COLOR_MAXIMAL_GAIN_INT

Color camera maximal gain

#### OB_PROP_COLOR_MAXIMAL_SHUTTER_INT

    public static final DeviceProperty OB_PROP_COLOR_MAXIMAL_SHUTTER_INT

Color camera shutter gain

#### OB_PROP_SDK_DEPTH_FRAME_UNPACK_BOOL

    public static final DeviceProperty OB_PROP_SDK_DEPTH_FRAME_UNPACK_BOOL

Depth data unpacking function switch (each open stream will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)

#### OB_PROP_SDK_IR_FRAME_UNPACK_BOOL

    public static final DeviceProperty OB_PROP_SDK_IR_FRAME_UNPACK_BOOL

IR data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)

#### OB_PROP_SDK_ACCEL_FRAME_TRANSFORMED_BOOL

    public static final DeviceProperty OB_PROP_SDK_ACCEL_FRAME_TRANSFORMED_BOOL

Accel data conversion function switch (on by default)

#### OB_PROP_SDK_GYRO_FRAME_TRANSFORMED_BOOL

    public static final DeviceProperty OB_PROP_SDK_GYRO_FRAME_TRANSFORMED_BOOL

Gyro data conversion function switch (on by default)

#### OB_PROP_SDK_IR_LEFT_FRAME_UNPACK_BOOL

    public static final DeviceProperty OB_PROP_SDK_IR_LEFT_FRAME_UNPACK_BOOL

Left IR frame data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)

#### OB_PROP_SDK_IR_RIGHT_FRAME_UNPACK_BOOL

    public static final DeviceProperty OB_PROP_SDK_IR_RIGHT_FRAME_UNPACK_BOOL

Right IR frame data unpacking function switch (each current will be turned on by default, support RLE/Y10/Y11/Y12/Y14 format)

#### OB_RAW_DATA_CAMERA_CALIB_JSON_FILE

    public static final DeviceProperty OB_RAW_DATA_CAMERA_CALIB_JSON_FILE

Calibration JSON file read from device (Femto Mega, read only)

### Method Detail

#### values

    public static DeviceProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DeviceProperty c : DeviceProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DeviceProperty valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the device property

Returns:
  index value

#### get

    public static DeviceProperty get​(int value)

Get the device properties corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  device properties